package com.eactive.eai.rms.onl.tracking.dao;

import java.util.ArrayList;
import java.util.HashMap;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;
import com.eactive.eai.rms.onl.tracking.vo.DbTrackingChartVo;

@Repository("dbTrackingChartDao")
public class DbTrackingChartDao  extends SqlMapClientTemplateDao {

	public ArrayList<DbTrackingChartVo> getTransChartList(String eaiTranName) throws Exception {
		final HashMap<String, String> paramMap = new HashMap<String, String>();		
        paramMap.put("eaiTranName", eaiTranName);        
        
        return (ArrayList<DbTrackingChartVo>)template.queryForList("DbTrackingChart.getTransChartList",paramMap);		
	}
	
	public ArrayList<HashMap<String, String>> getEAITranList(String eaiTranName, String eaiBzwkDstcd) throws Exception {
		final HashMap<String, String> paramMap = new HashMap<String, String>();
        paramMap.put("eaiBzwkDstcd", eaiBzwkDstcd);
        paramMap.put("eaiTranName", eaiTranName);
        
        return (ArrayList<HashMap<String, String>>)template.queryForList("DbTrackingChart.getEAITranList",paramMap);		
	}
}
